/*
 * Copyright 2023 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTD16 (number 21), E1/TSI0_CH19-TouchPad_0
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_TSI_ELECTRODE1_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_TSI_ELECTRODE1_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_TSI_ELECTRODE1_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PORTA1 (number 78), E2/TSI1_CH3-TouchPad_1
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_TSI_ELECTRODE2_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_TSI_ELECTRODE2_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_TSI_ELECTRODE2_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCHPins(void);

#define PORT_DFER_DFE_3_MASK 0x08u /*!<@brief Digital Filter Enable Mask for item 3. */

/*! @name PORTD3 (number 70), SW3/NMI-SW
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW3_FGPIO FGPIOD             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_SW3_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW3_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW3_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_SW3_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_SW3_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PORTE14 (number 17), SW2
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_FGPIO FGPIOE              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_SW2_GPIO GPIOE                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN_MASK (1U << 14U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW2_PORT PORTE                /*!<@brief PORT peripheral base pointer */
#define BOARD_SW2_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONSPins(void);

/*! @name PORTD12 (number 34), D6[3]/RGB_BLUE/FTM2_CH2
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_BLUE_FGPIO FGPIOD              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_BLUE_GPIO GPIOD                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_BLUE_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_BLUE_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_BLUE_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_LED_BLUE_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTD10 (number 36), D6[1]/RGB_RED/FTM2_CH0
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_RED_FGPIO FGPIOD              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO GPIOD                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTD5 (number 33), D6[4]/RGB_GREEN/FTM2_CH3
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_GREEN_FGPIO FGPIOD             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO_PIN_MASK (1U << 5U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_GREEN_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_GREEN_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*! @name PORTB7 (number 15), Y2[1]/EXTAL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_EXTAL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_EXTAL_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EXTAL_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PORTB6 (number 16), Y2[3]/XTAL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_XTAL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_XTAL_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_XTAL_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

/*! @name PORTB8 (number 77), U11[2]/LPI2C0_SCL-FXLS
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FXLS_SCL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_FXLS_SCL_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_FXLS_SCL_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTA16 (number 82), U11[3]/LPI2C0_SDA-FXLS
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FXLS_SDA_PORT PORTA                /*!<@brief PORT peripheral base pointer */
#define BOARD_FXLS_SDA_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_FXLS_SDA_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void);

/*! @name PORTE12 (number 19), J1[7]/LPUART2_TX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LPUART2_TX_PORT PORTE                /*!<@brief PORT peripheral base pointer */
#define BOARD_LPUART2_TX_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_LPUART2_TX_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PORTD17 (number 20), J1[1]/LPUART2_RX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LPUART2_RX_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LPUART2_RX_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_LPUART2_RX_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
